Package org.kapott.hbci.manager

# Class QRCode

java.lang.Object
org.kapott.hbci.manager.QRCode

public class QRCode extends Object
Klasse zum Parsen von QR-Codes.

## Constructor Summary

Constructors
Constructor
Description
`QRCode(String hhd, String msg)`
ct.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getImage()`
Liefert die Rohdaten des Bildes.
`String`
`getMessage()`
Liefert den fuer den User bestimmten Text.
`String`
`getMimetype()`
Liefert den Mimetype des Bildes.
`static QRCode`
`tryParse(String hhd, String msg)`
Versucht die Daten als QR-Code zu parsen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QRCode

public QRCode(String hhd, String msg) throws Exception
ct.

Parameters:
  `hhd` - die Rohdaten aus dem HHDuc als String.
  `msg` - Die Sparkassen verwenden QR-Code in HHD 1.3 und uebertragen dort (wie beim Flickercode auch) die maschinenlesbaren Daten direkt in der Text-Nachricht per Base64-Codierung in den Tags CHLGUC und CHLGTEXT. Wir brauchen daher auch den eigentlich dem User anzuzeigenden Text, um den Code bei Bedarf dort zu extrahieren.
Throws:
  `Exception` - wenn die Daten nicht als Bild geparst werden konnten.

## Method Details

### tryParse

public static QRCode tryParse(String hhd, String msg)
Versucht die Daten als QR-Code zu parsen.

Parameters:
  `hhd` - der HHDuc.
  `msg` - die Nachricht.
Returns:
  der QR-Code oder NULL.

### getImage

public byte[] getImage()
Liefert die Rohdaten des Bildes.

Returns:
  image die Rohdaten des Bildes.

### getMimetype

public String getMimetype()
Liefert den Mimetype des Bildes.

Returns:
  mimetype Kann durchaus NULL sein.

### getMessage

public String getMessage()
Liefert den fuer den User bestimmten Text. Falls die Bank den QR-Code dort per CHLGUC/CHLGTEXT embedded hat, dann wird hier der bereinigte Text zurueckgeliefert.

Returns:
  der ggf. bereinigte Text.